Get a gVault
curl --request GET \
--url https://sandbox.groundtech.co/v2/gvaults/{gVaultId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/gvaults/{gVaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.groundtech.co/v2/gvaults/{gVaultId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.groundtech.co/v2/gvaults/{gVaultId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "8f4c52d7-62ab-4db9-a964-92f481f6b851",
"yieldSourceId": "ground-ustb-vault",
"name": "Ground USTB gVault",
"chain": "ethereum",
"contractAddress": "0x5a68cfE0DCCcfA4991e5a92d2c382b15B41C4119",
"asset": {
"symbol": "USDC",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6
},
"fees": {
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 1500,
"maxPerformanceFeeBps": 9999,
"managementFeeBps": 20,
"groundManagementFeeBps": 10,
"totalManagementFeeBps": 30,
"maxManagementFeeBps": 9999
},
"feeUpdate": null
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "Gtoken access is not enabled for your organization. Please contact Ground admin.",
"code": "product_not_enabled"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Service temporarily unavailable",
"code": "service_temporarily_unavailable",
"retryable": true
}Yield Sources
Get a gVault
Returns the organization’s contract, confirmed onchain fees and latest fee update. Fees and feeUpdate are null for legacy direct integrations.
GET
/
v2
/
gvaults
/
{gVaultId}
Get a gVault
curl --request GET \
--url https://sandbox.groundtech.co/v2/gvaults/{gVaultId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/gvaults/{gVaultId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.groundtech.co/v2/gvaults/{gVaultId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.groundtech.co/v2/gvaults/{gVaultId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.groundtech.co/v2/gvaults/{gVaultId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "8f4c52d7-62ab-4db9-a964-92f481f6b851",
"yieldSourceId": "ground-ustb-vault",
"name": "Ground USTB gVault",
"chain": "ethereum",
"contractAddress": "0x5a68cfE0DCCcfA4991e5a92d2c382b15B41C4119",
"asset": {
"symbol": "USDC",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6
},
"fees": {
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 1500,
"maxPerformanceFeeBps": 9999,
"managementFeeBps": 20,
"groundManagementFeeBps": 10,
"totalManagementFeeBps": 30,
"maxManagementFeeBps": 9999
},
"feeUpdate": null
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "Gtoken access is not enabled for your organization. Please contact Ground admin.",
"code": "product_not_enabled"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Service temporarily unavailable",
"code": "service_temporarily_unavailable",
"retryable": true
}Authorizations
Path Parameters
Organization gVault UUID returned by discovery. Existing approved direct integrations retain their source slug.
Pattern:
^(?:[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|ground-ustb-vault|ground-tempo-prime-vault)$Example:
"8f4c52d7-62ab-4db9-a964-92f481f6b851"
Response
Organization gVault.
Organization gVault UUID returned by discovery. Existing approved direct integrations retain their source slug.
Pattern:
^(?:[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89aAbB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|ground-ustb-vault|ground-tempo-prime-vault)$Example:
"8f4c52d7-62ab-4db9-a964-92f481f6b851"